# Method: settings.searchapplications.patch

- [HTTP request](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch#body.aspect)
- [Try it!](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch#try-it)

Updates a search application.

**Note:** This API requires an admin account to execute.

### HTTP request

`PATCH https://cloudsearch.googleapis.com/v1/settings/{searchApplication.name=searchapplications/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `searchApplication.name` | `string` The name of the Search Application. Format: searchapplications/{applicationId}. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Only applies to [`settings.searchapplications.patch`](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications/patch). Update mask to control which fields to update. Example field paths: `searchApplication.name`, `searchApplication.displayName`. - If `updateMask` is non-empty, then only the fields specified in the `updateMask` are updated. - If you specify a field in the `updateMask`, but don't specify its value in the `searchApplication`, then that field is cleared. - If the `updateMask` is not present or empty or has the value `*`, then all fields are updated. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.searchapplications#SearchApplication`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud_search.settings.query`
- `https://www.googleapis.com/auth/cloud_search.settings`
- `https://www.googleapis.com/auth/cloud_search`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).